Bug 63968 - Add comment to explain Vector usage in FontCache::purgeInactiveFontData
Summary: Add comment to explain Vector usage in FontCache::purgeInactiveFontData
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yuzo Fujishima
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-05 19:21 PDT by Yuzo Fujishima
Modified: 2019-05-02 16:25 PDT (History)
4 users (show)

See Also:


Attachments
Patch (2.15 KB, patch)
2011-07-05 19:25 PDT, Yuzo Fujishima
no flags Details | Formatted Diff | Diff
Patch (1.57 KB, patch)
2011-07-05 20:26 PDT, Yuzo Fujishima
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuzo Fujishima 2011-07-05 19:21:36 PDT
Vector<const SimpleFontData*, 20> fontDataToDelete is used to temporarily record which font data to delete but it is actually unnecessary.
Comment 1 Yuzo Fujishima 2011-07-05 19:25:36 PDT
Created attachment 99782 [details]
Patch
Comment 2 mitz 2011-07-05 19:30:49 PDT
Comment on attachment 99782 [details]
Patch

Has anything changed since <http://trac.webkit.org/changeset/44011> that would make this safe?
Comment 3 Yuzo Fujishima 2011-07-05 20:26:33 PDT
Created attachment 99784 [details]
Patch
Comment 4 Yuzo Fujishima 2011-07-05 20:28:07 PDT
Thank you for the review and sorry for the oversight.
I believe it is worth a comment. Hence a new patch to add one.
Comment 5 WebKit Review Bot 2011-07-10 18:38:25 PDT
Comment on attachment 99784 [details]
Patch

Clearing flags on attachment: 99784

Committed r90700: <http://trac.webkit.org/changeset/90700>
Comment 6 WebKit Review Bot 2011-07-10 18:38:29 PDT
All reviewed patches have been landed.  Closing bug.